Subject: bug#64872: guix pull: texlive-hyphen-complete: build failed (was: "guix pull: po4a: build failed")

From: Artyom Poptsov <[email-masked]>
Date: Fri, 28 Jul 2023 13:29:02 +0300

Besides, I run GNU Guix on Ubuntu 22.04.2 LTS.
Please find my SystemD Guix service attached.

As you can see, I'm using a substitution service through Yggdrasil
network: http://ci.guix.ygg.trop.in
Also there's a proxy server configured.

- avp

On Fri, 28 Jul 2023 at 13:24, Artyom Poptsov <[email-masked]> wrote:
>
> Hello Christopher,
>
> yes, I can download "texlive-hyphen-complete" by the link (logs are attached.)
>
> - avp
>
> On Fri, 28 Jul 2023 at 12:44, Christopher Baines <[email-masked]> wrote:
> >
> >
> > Artyom Poptsov <[email-masked]> writes:
> >
> > > Hello Christopher,
> > >
> > > I tried to build "texlive-hyphen-complete" using a local Guix clone
> > > with the following commands:
> > >
> > > $ cd guix
> > > $ guix shell -D guix
> > > $ ./bootstrap
> > > $ make -j$(nproc)
> > > $ guix build -K texlive-hyphen-complete
> > >
> > > Also I tried to build the derivation directly as you suggested:
> > > $ guix build /gnu/store/g9xfx06xs21jnrsg7h42m5ggfg2zfdfg-texlive-hyphen-complete-66594-checkout.drv
> > >
> > > I've got the same error in both cases.
> >
> > I've included the output I get when building this derivation below, and
> > it does use bordeaux for me. Are you able to download [1]?
> >
> > 1: http://bordeaux.guix.gnu.org/nar/lzip/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout
> >
> >
> >
> > → guix build --check /gnu/store/g9xfx06xs21jnrsg7h42m5ggfg2zfdfg-texlive-hyphen-complete-66594-checkout.drv
> > The following derivation will be built:
> >   /gnu/store/g9xfx06xs21jnrsg7h42m5ggfg2zfdfg-texlive-hyphen-complete-66594-checkout.drv
> > building /gnu/store/g9xfx06xs21jnrsg7h42m5ggfg2zfdfg-texlive-hyphen-complete-66594-checkout.drv...
> > guile: warning: failed to install locale
> > svn: warning: cannot set LC_CTYPE locale
> > svn: warning: environment variable LC_ALL is en_US.utf8
> > svn: warning: please check that your locale name is correct
> > A    /gnu/store/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout/doc/generic/dehyph-exptl
> > A    /gnu/store/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout/doc/generic/dehyph-exptl/CHANGES
> > A    /gnu/store/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout/doc/generic/dehyph-exptl/INSTALL
> > A    /gnu/store/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout/doc/generic/dehyph-exptl/LICENSE.data
> > A    /gnu/store/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout/doc/generic/dehyph-exptl/LICENSE.documentation
> > A    /gnu/store/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout/doc/generic/dehyph-exptl/README
> > A    /gnu/store/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout/doc/generic/dehyph-exptl/dehyph-exptl.bib
> > A    /gnu/store/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout/doc/generic/dehyph-exptl/dehyph-exptl.pdf
> > A    /gnu/store/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout/doc/generic/dehyph-exptl/dehyph-exptl.tex
> > Exported revision 66594.
> > svn: warning: cannot set LC_CTYPE locale
> > svn: warning: environment variable LC_ALL is en_US.utf8
> > svn: warning: please check that your locale name is correct
> > svn: E155000: Destination directory exists; please remove the directory or use --force to overwrite
> > svn: E155000: '/gnu/store/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout/doc/generic' already exists
> > command "/gnu/store/z9g39lq591kzpvjj9apxzccd431pfjsz-subversion-1.14.2/bin/svn" "export" "--non-interactive" "--trust-server-cert" "-r" "66594" "--ignore-keywords" "--ignore-externals" "svn://www.tug.org/texlive/tags/texlive-2023.0/Master/texmf-dist//doc/generic/elhyphen" "/gnu/store/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout/doc/generic" failed with status 1
> > Trying content-addressed mirror at bordeaux.guix.gnu.org...
> >  texlive-hyphen-complete-66594-checkout  2.3MiB 0B/s 00:00 [                  ]   0.0%Downloading from http://bordeaux.guix.gnu.org/nar/lzip/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout (2.28 MiB)...
> >  texlive-hyphen-complete-66594-checkout  2.3MiB 3.4MiB/s 00:01 [##################] 100.0%successfully built /gnu/store/g9xfx06xs21jnrsg7h42m5ggfg2zfdfg-texlive-hyphen-complete-66594-checkout.drv
> > successfully built /gnu/store/g9xfx06xs21jnrsg7h42m5ggfg2zfdfg-texlive-hyphen-complete-66594-checkout.drv
> > /gnu/store/phsfa94n95wadi79fn7aqavc5qd3570d-texlive-hyphen-complete-66594-checkout
>
>
>
> --
> Artyom V. Poptsov <[email-masked]>
> Home page: https://memory-heap.org/~avp/
> CADR Hackerspace co-founder: https://cadrspace.ru/
> GPG: D0C2 EAC1 3310 822D 98DE  B57C E9C5 A2D9 0898 A02F

-- 
Artyom V. Poptsov <[email-masked]>
Home page: https://memory-heap.org/~avp/
CADR Hackerspace co-founder: https://cadrspace.ru/
GPG: D0C2 EAC1 3310 822D 98DE  B57C E9C5 A2D9 0898 A02F